## ros-humble-turtlebot3-msgs 2.2.3

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_msgs)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(action_msgs REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################
set(msg_files
  "msg/SensorState.msg"
  "msg/Sound.msg"
  "msg/VersionInfo.msg"
)

set(srv_files
  "srv/Sound.srv"
  "srv/Dqn.srv"
)

set(action_files
  "action/Patrol.action"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  ${action_files}
  DEPENDENCIES action_msgs std_msgs
  ADD_LINTER_TESTS
)
ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-turtlebot3-msgs (2.2.3-1jammy) jammy; urgency=high

  * ROS2 Humble Hawksbill supported

 -- Will Son <willson@robotis.com>  Tue, 25 May 2202 15:00:00 -0000

ros-humble-turtlebot3-msgs (2.2.2-1jammy) jammy; urgency=high

  * ROS 2 Galactic Geochelone supported
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Sun, 13 Jun 2021 15:00:00 -0000

ros-humble-turtlebot3-msgs (2.2.1-1jammy) jammy; urgency=high

  * ROS 2 Eloquent Elusor supported
  * ROS 2 Foxy Fitzroy supported
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Wed, 17 Jun 2020 15:00:00 -0000

ros-humble-turtlebot3-msgs (2.2.0-1jammy) jammy; urgency=high

  * Added action file for turtlebot example package
  * Contributors: Ryan Shim

 -- Will Son <willson@robotis.com>  Mon, 23 Sep 2019 15:00:00 -0000

ros-humble-turtlebot3-msgs (2.1.0-1jammy) jammy; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Added Sound service file
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-humble-turtlebot3-msgs (2.0.0-1jammy) jammy; urgency=high

  * Added support for ROS 2
  * Contributors: Vineet Ghatge

 -- Will Son <willson@robotis.com>  Wed, 25 Jul 2018 15:00:00 -0000

ros-humble-turtlebot3-msgs (1.0.0-1jammy) jammy; urgency=high

  * Added sensors
  * Deleted unused msg and srv
  * Separated turtlebot3_msgs and applications related messages
  * Merged pull request #10 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/10> #9 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/9> #8 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/8> #7 <https://github.com/ROBOTIS-GIT/turtlebot3_msgs/issues/7>
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-humble-turtlebot3-msgs (0.1.5-1jammy) jammy; urgency=high

  * Modified CMakeLists.txt and package for package format v2
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-humble-turtlebot3-msgs (0.1.4-1jammy) jammy; urgency=high

  * Added torque msg in sensor_msgs
  * Added Sound.msg
  * Deleted motorpower.msg in cmakelists
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Fri, 09 Mar 2018 15:00:00 -0000

ros-humble-turtlebot3-msgs (0.1.3-1jammy) jammy; urgency=high

  * Added msg package for TB3
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-humble-turtlebot3-msgs
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/turtlebot3_msgs
Standards-Version: 3.9.2

Package: ros-humble-turtlebot3-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Message and service types: custom messages and services for TurtleBot3 packages for ROS2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot3-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
